Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.bea.netuix.application.manager.persistence
Enum TemplateSearchCriteria.TemplateSortCriteria

    java.lang.Object
      java.lang.Enum<TemplateSearchCriteria.TemplateSortCriteria>
          com.bea.netuix.application.manager.persistence.TemplateSearchCriteria.TemplateSortCriteria

All Implemented Interfaces
  Serializable, Comparable<TemplateSearchCriteria.TemplateSortCriteria>

Enclosing class:
  TemplateSearchCriteria

    public static enum TemplateSearchCriteria.TemplateSortCriteria

extends Enum<TemplateSearchCriteria.TemplateSortCriteria>

Enum Constant Summary
`DESCRIPTION` Description template sort criteria
`TEMPLATE_ID` TemplateId template sort criteria
`TITLE` Title template sort criteria

Method Summary
`static TemplateSearchCriteria.TemplateSortCriteria` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TemplateSearchCriteria.TemplateSortCriteria[]` | `values()` Returns an array containing the constants of this enum type, in the order theyre declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TITLE

    public static final TemplateSearchCriteria.TemplateSortCriteria TITLE

  Title template sort criteria

### DESCRIPTION

    public static final TemplateSearchCriteria.TemplateSortCriteria DESCRIPTION

  Description template sort criteria

### TEMPLATE_ID

    public static final TemplateSearchCriteria.TemplateSortCriteria TEMPLATE_ID

  TemplateId template sort criteria

Method Detail

### values

    public static final TemplateSearchCriteria.TemplateSortCriteria[] values()

  Returns an array containing the constants of this enum type, in the order theyre declared.

### valueOf

    public static TemplateSearchCriteria.TemplateSortCriteria valueOf(String name)

  Returns the enum constant of this type with the specified name.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.